<?php

require_once('classes/render-adminlte.class.php');
$renderAdminLTE=new renderadminlte();

$aReplace=include("./config/page_replacements.php.dist");

// ---------- TOP BAR
$aReplace['{{NAVI_TOP}}']=''
    . $renderAdminLTE->addWrapper(
        'nav', ['class'=>'main-header navbar navbar-expand navbar-white navbar-light'],
        $renderAdminLTE->getTopNavigation([['label'=>'{{NAVI_TOP}}']])
    )
    ;

// ---------- LEFT BAR
$aReplace['{{NAVI_LEFT}}']=''
    . $renderAdminLTE->addWrapper(
        'nav', ['class'=>'mt-2'],
        $renderAdminLTE->getSidebarNavigation([
            ['href'=>'#',          'label'=>'Menu A', 'icon'=>'fa-solid fa-home' ],
            ['href'=>'#',          'label'=>'Menu B', 'icon'=>'fa-solid fa-tv'],
            ['href'=>'#',          'label'=>'Menu C', 'icon'=>'fa-solid fa-truck-pickup', 'class'=>'active',
                'children'=>[
                    ['href'=>'#',     'label'=>'Subitem 1', 'icon'=>'fa-solid fa-truck-monster'],
                    ['href'=>'#',     'label'=>'Subitem 2', 'icon'=>'fa-solid fa-truck-moving'],
                ]
            ]
        ])
    )
    ;
    
// ---------- send content
$sTemplate=file_get_contents('config/page.tpl.php');
echo $renderAdminLTE->render($sTemplate,$aReplace);
